--- @meta fs

local fs = {};

--- @param path string
--- @param recursive? boolean
--- @return boolean? ok
--- @return string? err
function fs.mkdir(path, recursive) end

--- @param src string
--- @param dst string
--- @return boolean? ok
--- @return string? err
function fs.symlink(src, dst) end

--- @param path string
--- @param mode string | integer
--- @return boolean? ok
--- @return string? err
function fs.chmod(path, mode) end

return fs;
